Loading...
Searching...
No Matches
juce::AudioProcessor::BusesProperties Struct Reference

## Detailed Description

Structure used for AudioProcessor Callbacks.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioProcessor.h

## Public Member Functions

void | addBus (bool isInput, const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true)
BusesProperties | withInput (const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true) const
BusesProperties | withOutput (const String &name, const AudioChannelSet &defaultLayout, bool isActivatedByDefault=true) const

## Public Attributes

Array< BusProperties > | inputLayouts
| The layouts of the input buses.
Array< BusProperties > | outputLayouts
| The layouts of the output buses.

## Member Functions

## addBus()

void juce::AudioProcessor::BusesProperties::addBus | ( | bool | isInput,
|  | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true )

References name.

## withInput()

BusesProperties juce::AudioProcessor::BusesProperties::withInput | ( | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true ) const

nodiscard

References name.

## withOutput()

BusesProperties juce::AudioProcessor::BusesProperties::withOutput | ( | const String & | name,
|  | const AudioChannelSet & | defaultLayout,
|  | bool | isActivatedByDefault = true ) const

nodiscard

References name.

## Member Data Documentation

## inputLayouts

Array<BusProperties> juce::AudioProcessor::BusesProperties::inputLayouts

The layouts of the input buses.

## outputLayouts

Array<BusProperties> juce::AudioProcessor::BusesProperties::outputLayouts

The layouts of the output buses.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited